package com.zanxiang.game.module.sdk.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2024-03-07
 * @description : 卡夫卡数据埋点类型
 */
@Getter
@AllArgsConstructor
public enum KafkaEventTrackEnum {

    /**
     * 注册
     */
    KAFKA_EVENT_TRACK_REG("KAFKA_EVENT_TRACK_REG"),

    /**
     * 渠道变更
     */
    KAFKA_EVENT_TRACK_AGENT_UPDATE("KAFKA_EVENT_TRACK_AGENT_UPDATE"),

    /**
     * 登录
     */
    KAFKA_EVENT_TRACK_LOGIN("KAFKA_EVENT_TRACK_LOGIN"),

    /**
     * 下单
     */
    KAFKA_EVENT_TRACK_ORDER_CREATE("KAFKA_EVENT_TRACK_ORDER_CREATE"),

    /**
     * 支付
     */
    KAFKA_EVENT_TRACK_ORDER_PAY("KAFKA_EVENT_TRACK_ORDER_PAY"),

    /**
     * 创角
     */
    KAFKA_EVENT_TRACK_ROLE_CREATE("KAFKA_EVENT_TRACK_ROLE_CREATE"),

    /**
     * 角色更新
     */
    KAFKA_EVENT_TRACK_ROLE_UPDATE("KAFKA_EVENT_TRACK_ROLE_UPDATE");

    /**
     * 数据埋点类型
     */
    private final String value;
}
